コンテンツにスキップ
Twexapi
日本語
Esc
移動開く⌘Jプレビュー

Create a Quote Tweet

Posts a new tweet that quotes an existing tweet. Requires the URL of the tweet to be quoted and the new content,$0.0005 per call.

APIリファレンスに戻る
/Tweet Actions Endpoints
POST/twitter/tweets/quote
API 認証
AuthorizationBearer token · header必須
TwexAPIのグローバル認証トークン (Bearer Token)。ヘッダーに含める必要があります:Authorization: Bearer <YOUR_TWEXAPI_KEY>。
リクエストボディ
必須application/json
media_urlstring | any
添付するメディアファイルの公開URL
プロパティを表示
Any of:
string
string
any
any
media_urlsstring[] | any
添付する画像または動画の公開URL一覧(最大4枚の画像または1本の動画)
プロパティを表示
Any of:
string[]
Array of string
string
any
any
tweet_contentstring必須
ツイートまたは返信の本文
delegated_account_usernamestring | any
delegated account username
プロパティを表示
Any of:
string
string
any
any
cookiestring必須
ユーザー自身が承認した Twitter セッション資格情報または auth_token(BYOC — Bring Your Own Cookie)。機密情報は保存されず、完全なステートレスプロキシとして実行されます。詳細は [認証・セキュリティガイド](/ja/authentication#write-operations--byoc-bring-your-own-cookie) および [Cookie 取得手順](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie) を参照。
community_namestring | any
Name of Twitter community to post in or community id
プロパティを表示
Any of:
string
string
any
any
quote_tweet_urlstring | any
URL of tweet to quote
プロパティを表示
Any of:
string
string
any
any
proxystring | any
The proxy to use.Please use high-quality residential proxies and avoid free proxies.Required.Example: http://username:password@ip:port . You can get proxy from: https://app.proxy-cheap.com/r/qiMxub
プロパティを表示
Any of:
string
string
any
any
レスポンス
200The ID and user ID of the newly created quote tweet.
codeinteger
HTTP ステータスコード(200 は成功)
default: 200
msgstring
レスポンスメッセージ(例: 'success')
default: "success"
dataPostTweetData | any
返却されるコアデータオブジェクトまたは配列
プロパティを表示
Any of:
PostTweetData
tweet_idstring | any
ツイートの一意のID
プロパティを表示
Any of:
string
string
any
any
user_idstring | any
対象ユーザーのTwitter数字ID
プロパティを表示
Any of:
string
string
any
any
codeinteger
HTTP ステータスコード(200 は成功)
default: 200
any
any
422パラメータバリデーションエラー
detailValidationError[]
プロパティを表示
Array of ValidationError
locstring | integer[]必須
プロパティを表示
Array of string | integer
Any of:
string
string
integer
integer
msgstring必須
レスポンスメッセージ(例: 'success')
typestring必須
inputany
ctxobject
インタラクティブテストPOST
インタラクティブテスト / Try APIPOST
Live Console
🌐対象サーバー:https://api.twexapi.io
● 本番環境レディ
✍️
書き込み操作の認証情報ガイド(TwexAPIキー + Twitter Cookie)

1. TwexAPIプラットフォームキー (Bearer Token): 下記の「API認証」に入力してください(API呼び出しと課金認証に使用)。

2. TwitterアカウントCookie: ツイート・いいね・フォロー等の書き込み操作のため、下記リクエストボディの cookie フィールドに対象TwitterアカウントのCookie(例: auth_token=...; ct0=...)を入力してください。

🔑API 認証
📝リクエストボディapplication/json
📡
暂无响应数据

请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。

リクエスト例
curl -X POST "https://api.twexapi.io/twitter/tweets/quote" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "media_url": "https://example.com/image.jpg",
  "media_urls": [
    "https://example.com/image1.jpg",
    "https://example.com/image2.jpg"
  ],
  "tweet_content": "Hello, Twitter! 🐦",
  "delegated_account_username": "elonmusk",
  "cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
  "community_name": "Python Developers or 1234567890123456789",
  "quote_tweet_url": "https://twitter.com/user/status/1234567890123456789",
  "proxy": "http://username:password@ip:port"
}'
レスポンス例
{
  "code": 200,
  "msg": "success",
  "data": {
    "tweet_id": "1234567890123456789",
    "user_id": "1234567890",
    "code": 200
  }
}